import type * as T from '@/apis/production/type'
import http from '@/utils/http'

const BASE_URL = '/coin/speed'

export function listThruster(query: T.ThrusterPageQuery) {
  return http.get<PageRes<T.ThrusterListResp[]>>(`${BASE_URL}/upgrades/page`, query)
}
export function thrusterById(id: number) {
  return http.get<T.ThrusterListResp[]>(`${BASE_URL}/upgrades/${id}`)
}
export function thrusterPost(data: T.ThrusterData) {
  return http.post<any>(`${BASE_URL}/upgrades`, data)
}

export function thrusterUpdata(id: number, data: T.ThrusterData) {
  return http.put<any>(`${BASE_URL}/upgrades/${id}`, data)
}
export function thrusterDel(id: number) {
  return http.del<any>(`${BASE_URL}/upgrades/${id}`)
}
